HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostIdentityVerificationSessionsSessionRedact

Contains the different functions to run the operation postIdentityVerificationSessionsSessionRedact

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostIdentityVerificationSessionsSessionRedact.hs
valuepostIdentityVerificationSessionsSessionRedact
  1. :: MonadHTTP m
  2. => Text

    session | Constraints: Maximum length of 5000

  3. -> Maybe PostIdentityVerificationSessionsSessionRedactRequestBody

    The request body to send

  4. -> ClientT m (Response PostIdentityVerificationSessionsSessionRedactResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/identity/verification_sessions/{session}/redact

<p>Redact a VerificationSession to remove all collected information from Stripe. This will redact the VerificationSession and all objects related to it, including VerificationReports, Events, request logs, etc.</p>

<p>A VerificationSession object can be redacted when it is in <code>requires_input</code> or <code>verified</code> <a href="/docs/identity/how-sessions-work">status</a>. Redacting a VerificationSession in <code>requires_action</code> state will automatically cancel it.</p>

<p>The redaction process may take up to four days. When the redaction process is in progress, the VerificationSession’s <code>redaction.status</code> field will be set to <code>processing</code>; when the process is finished, it will change to <code>redacted</code> and an <code>identity.verification_session.redacted</code> event will be emitted.</p>

<p>Redaction is irreversible. Redacted objects are still accessible in the Stripe API, but all the fields that contain personal data will be replaced by the string <code>[redacted]</code> or a similar placeholder. The <code>metadata</code> field will also be erased. Redacted objects cannot be updated or used for any purpose.</p>

<p><a href="/docs/identity/verification-sessions#redact">Learn more</a>.</p>

Defines the object schema located at paths./v1/identity/verification_sessions/{session}/redact.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postIdentityVerificationSessionsSessionRedact.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostIdentityVerificationSessionsSessionRedactResponseError is used.

Instances2Eq, Show